// By Deadpool Turkish Edition#7340
// By Deadpool Turkish Edition#7340
// By Deadpool Turkish Edition#7340
// By Deadpool Turkish Edition#7340
// By Deadpool Turkish Edition#7340

// Discord meu: https://discord.gg/mNkr64uR

UI.AddDropdown( "Custom ClanTag", [ "Disabled", "Phantom.Yaw By Can Kaya"] );
UI.AddSliderInt( "Custom ClanTag Speed", 1, 10 );
var lasttime = 0;
function onRender( )
{
    var tag = UI.GetValue( "Script Items", "Custom ClanTag" );
    var speed = UI.GetValue( "Script Items", "Custom ClanTag Speed" );
    var time = parseInt((Globals.Curtime() * speed))
    if (time != lasttime)
    {
        if(tag == 0) { Local.SetClanTag(""); }
        if(tag == 1)
            {
            switch((time) % 56)
            {
            case 1: { Local.SetClanTag(" "); break; }
            case 2: { Local.SetClanTag(" "); break; }
            case 3: { Local.SetClanTag(" "); break; }
            case 4: { Local.SetClanTag("P "); break; }
            case 5: { Local.SetClanTag("P "); break; }
            case 6: { Local.SetClanTag("Ph "); break; }
            case 7: { Local.SetClanTag("Ph "); break; }
            case 8: { Local.SetClanTag("Pha "); break; }
            case 9: { Local.SetClanTag("Pha "); break; }
            case 10: { Local.SetClanTag("Phan "); break; }
            case 11: { Local.SetClanTag("Phan "); break; }
            case 12: { Local.SetClanTag("Phant "); break; }
            case 13: { Local.SetClanTag("Phant "); break; }
            case 14: { Local.SetClanTag("Phanto "); break; }
            case 15: { Local.SetClanTag("Phanto "); break; }
            case 16: { Local.SetClanTag("Phantom "); break; }
            case 17: { Local.SetClanTag("Phantom "); break; }
            case 18: { Local.SetClanTag("Phantom. "); break; }
            case 19: { Local.SetClanTag("Phantom. "); break; }
            case 20: { Local.SetClanTag("Phantom.y "); break; }
            case 21: { Local.SetClanTag("Phantom.y "); break; }
            case 22: { Local.SetClanTag("Phantom.ya "); break; }
            case 23: { Local.SetClanTag("Phantom.yaw "); break; }
            case 24: { Local.SetClanTag("Phantom.yaw "); break; }
            case 25: { Local.SetClanTag("Phantom.ya "); break; }
            case 26: { Local.SetClanTag("Phantom.ya "); break; }
            case 27: { Local.SetClanTag("Phantom.y "); break; }
            case 28: { Local.SetClanTag("Phantom.y "); break; }
            case 29: { Local.SetClanTag("Phantom. "); break; }
            case 30: { Local.SetClanTag("Phantom. "); break; }
            case 31: { Local.SetClanTag("Phantom "); break; }
            case 32: { Local.SetClanTag("Phantom "); break; }
            case 33: { Local.SetClanTag("Phanto "); break; }
            case 34: { Local.SetClanTag("Phanto "); break; }
            case 35: { Local.SetClanTag("Phant "); break; }
            case 36: { Local.SetClanTag("Phant "); break; }
            case 37: { Local.SetClanTag("Phan "); break; }
            case 40: { Local.SetClanTag("Phan "); break; }
            case 41: { Local.SetClanTag("Pha"); break; }
            case 42: { Local.SetClanTag("Pha "); break; }
            case 43: { Local.SetClanTag("Ph "); break; }
            case 44: { Local.SetClanTag("Ph "); break; }
            case 45: { Local.SetClanTag("P "); break; }
            case 46: { Local.SetClanTag("P "); break; }
            case 54: { Local.SetClanTag(" "); break; }
            case 55: { Local.SetClanTag(" "); break; }
            case 56: { Local.SetClanTag(" "); break; }
            }
        }
    }
    lasttime = time;
}
Cheat.RegisterCallback("Draw", "onRender");